

#--------------------------------------------------------------
# Selection of the species
#--------------------------------------------------------------
species <- toupper(dlgInput("Select the species (MEDITS code: 'ARISFOL') ---> ", default="ARISFOL",Sys.info()[""])$res)
#species <- readline("Select the species (rubin code: 'ARITANT') ---> ")
species[2] <- substr(species,5,7)
species[1] <- substr(species[1],1,4)
sspp <- paste(species[1],species[2], sep="")

GENERE <- species[1]
SPECIE <- species[2]

#--------------------------------------------------------------
# functions reading
#--------------------------------------------------------------
load(paste(wd,"/scripts/utilities/continent/countries.rda", sep=""))
# source('C:/Users/walte/Desktop/R_BioInde_2.1/scripts/area.coord.r', encoding = 'UTF-8')


#--------------------------------------------------------------
# Merge TA-TB files
# Merge TA-TC files
#--------------------------------------------------------------
source(paste(wd, "/scripts/Merge_TA-TB-TC.R", sep=""))


#--------------------------------------------------------------
# checks of the survey
#--------------------------------------------------------------
source(paste(wd, "/scripts/checks.r", sep=""))

#--------------------------------------------------------------
# Overlay metaDB with the grid
#--------------------------------------------------------------
source(paste(wd, "/scripts/overlayDBinGRID.r", sep=""))

