indexTL <- function(TA,TL,var = "Ncat_km2",level="category",code="L1",depth_range,country) { # data=merge_TATL, 
	
	if (FALSE) {
		library("ggplot2")
		library("dplyr")
		library("gridExtra")
		library("svDialogs")
		library("reshape2")
		merge_TATL <- read.table(paste(wd, "/output/mergeTATL.csv", sep=""), sep=";",header = T)
		data=merge_TATL
		var = "Ncat_km2"
		level <- "category"
		code="L1"
		country = country_analysis
		indexTL(var = "kgcat_km2",level="category",code="L1") # data=merge_TATL, 
	}
	
	#### CHECK TL FIELDS ####
	# {
	# 	if ("LITTER_SUB.CATEGORY" %in% colnames(data)){
	# 		colnames(data)[which(colnames(data)=="LITTER_SUB.CATEGORY")] <- "LITTER_SUB-CATEGORY"
	# 	}
	# 	if ("TOTAL_WEIGHT_IN_THE_SUB.CATEGORY_HAUL" %in% colnames(data)){
	# 		colnames(data)[which(colnames(data)=="TOTAL_WEIGHT_IN_THE_SUB.CATEGORY_HAUL")] <- "TOTAL_WEIGHT_IN_THE_SUB-CATEGORY_HAUL"
	# 	}
	# 	if ("TOTAL_NUMBER_IN_THE_SUB.CATEGORY_HAUL" %in% colnames(data)){
	# 		colnames(data)[which(colnames(data)=="TOTAL_NUMBER_IN_THE_SUB.CATEGORY_HAUL")] <- "TOTAL_NUMBER_IN_THE_SUB-CATEGORY_HAUL"
	# 	}
	# }
	
	country_analysis <- country
	
	source(file.path(wd,"scripts/merge_TA-TL.r"))
	
	if (level == "category") {
		merge_TATL <- merge_TATL(TA,TL,category=code, subcategory="all",country = country_analysis)
	} else if (level == "subcategory") {
		cat_code <- strsplit(code,"_")
		category <- cat_code[[1]][1]
		subcategory <- cat_code[[1]][2]
		merge_TATL <- merge_TATL(TA,TL,category=category, subcategory=subcategory,country = country_analysis)
	}
	
	# merge_TATL <- read.table(paste(wd, "/output/mergeTATL.csv", sep=""), sep=";",header = T)
	
	if (level=="category") {
		dir <- "/output/Litter/Category/"
	} else if (level == "subcategory") {
		dir <- "/output/Litter/Subcategory/"
	}
	
	if (file.exists(file.path(wd,dir))) {
		setwd(wd)
	} else {
		dir.create(file.path(wd,dir), showWarnings = FALSE)
		setwd(wd)
	}

strata_scheme <- read.table(paste(wd, "/scripts/utilities/strata.csv", sep=""), sep=";",header = T)
strata_scheme <- strata_scheme[strata_scheme$GSA == unique(merge_TATL$GSA) & strata_scheme$COUNTRY %in% as.character(unique(country_analysis))[1], ]


 vars <- data.frame(vars = c("Ncat_h",
 							"Ncat_km2",                             
 							"kgcat_h",
 							"kgcat_km2",
 							"Nsubcat_h",
 							"Nsubcat_km2",
 							"kgsubcat_h",
 							"kgsubcat_km2"),
 				   unit = c("n/h",
 				   		    "n/km^2",
 				   		    "kg/h",
 				   		    "kg/km^2",
 				   		    "n/h",
 				   		    "n/km^2",
 				   		    "kg/h",
 				   		    "kg/km^2"
 				   ),
 				   type = c("Abundance",
 				   			  "Abundance",
 				   			  "Mass",
 				   			  "Mass",
 				   			  "Abundance",
 				   			  "Abundance",
 				   			  "Mass",
 				   			  "Mass"
 				   )
 				   )  
 
tot <- strsplit(vars[vars$vars==var,"unit"],"/")[[1]][1]
varcol <- which(colnames(merge_TATL)==var)
colnames(merge_TATL)[varcol] <- "x"
dep_text <- paste(vars[vars$vars==var,"type"]," (", vars[vars$vars==var,"unit"],")", sep="")
GSA <- unique(merge_TATL$GSA)[1]
if (level=="category") {
    df <- merge_TATL[merge_TATL$LITTER_CATEGORY == code,]
    df2 <- df %>% 
    	group_by(id) %>% 
    	summarize(x= mean(x, na.rm=TRUE), depth = mean(MEAN_DEPTH, na.rm=TRUE), lon = mean(MEAN_LONGITUDE_DEC, na.rm=TRUE),lat=mean(MEAN_LATITUDE_DEC, na.rm=TRUE),YEAR = mean(YEAR, na.rm=TRUE),SWEPT_AREA =mean(SWEPT_AREA, na.rm=TRUE),TOTAL_NUMBER =mean(TOTAL_NUMBER_IN_THE_CATEGORY_HAUL, na.rm=TRUE),TOTAL_WEIGHT =mean(TOTAL_WEIGHT_IN_THE_CATEGORY_HAUL/1000, na.rm=TRUE))
    df2 <- as.data.frame(df2)
    colnames(df2) <- c("id","x","depth","lon","lat","YEAR","SWEPT_AREA","TOTAL_NUMBER", "TOTAL_WEIGHT")
    # df <- df2
}

if (level=="subcategory") {
	df <- merge_TATL[merge_TATL$CAT_SUBCAT == code,]
	df2 <- df %>% select(id, x, MEAN_DEPTH,MEAN_LONGITUDE_DEC,MEAN_LATITUDE_DEC,YEAR,SWEPT_AREA,'TOTAL_NUMBER_IN_THE_SUB-CATEGORY_HAUL','TOTAL_WEIGHT_IN_THE_SUB-CATEGORY_HAUL')
	df2$TOTAL_WEIGHT <- df2$TOTAL_WEIGHT/1000
	df2 <- as.data.frame(df2)
	colnames(df2) <- c("id","x","depth","lon","lat","YEAR","SWEPT_AREA","TOTAL_NUMBER", "TOTAL_WEIGHT")
	# df <- df2

}

# #------------------------------------------
# # plotting species' depth range information
# g1 <- ggplot(df2[df2$x >0,], aes(x=depth)) + geom_density()+xlab("depth (m)")+ggtitle(paste(code, " - GSA",GSA,sep="" ))
# ggsave(paste(wd,"/output/depth.distribution_",code,"_GSA",GSA,".jpg", sep=""),width=5, height=5)
# g2 <- ggplot(df2[df2$x>0,], aes(x=code, y=depth)) + geom_boxplot() + xlab("") + ylim(0, max(df2$depth))+ylab("depth (m)")+ggtitle(paste(code, " - GSA",GSA,sep="" ))
# ggsave(paste(wd,"/output/depth.distribution_(boxplot)",code,"_GSA",GSA,".jpg", sep=""),width=5, height=5)
# grid.arrange(g1, g2, ncol=2)
# #------------------------------------------

#------------------------------------------
# selection of depth range
data <- df2
depth <- data.frame(matrix(NA,ncol=4, nrow=length(strata_scheme$CODE)))
colnames(depth) <- c("strata", "min", "max", "bul")
depth$strata <- strata_scheme$CODE # c(1,2,3,4,5)
depth$min <-strata_scheme$MIN_DEPTH  # c(10,50,100,200,500)
depth$max <-strata_scheme$MAX_DEPTH  # c(50,100,200,500,800)
# print("Select the depth range for the analysis")
# depth_range <- dlgInput("Depth range for the analysis: ", default="5,35",Sys.info()[""])$res
# depth_range <- data.frame(range = strsplit(depth_range, ",")); depth_range <- as.numeric(as.character(depth_range[,1]))
if (depth_range[2] != 800) {depth_range[2] <- depth_range[2]}
data <-  data[data$depth>depth_range[1] & data$depth<=depth_range[2],]
strata_range <- seq(which(depth[,"min"]==depth_range[1]),which(depth[,"max"]==depth_range[2]),1)
depth[depth$strata %in% strata_range, "bul"] <- T
depth[!(depth$strata %in% strata_range), "bul"] <- F

analysis_stratum1 <- NA
analysis_stratum2 <- NA
analysis_stratum3 <- NA
analysis_stratum4 <- NA
analysis_stratum5 <- NA
analysis_stratum6 <- NA

analysis_stratum1 <- depth[1,4]
analysis_stratum2 <- depth[2,4]
analysis_stratum3 <- depth[3,4]
analysis_stratum4 <- depth[4,4]
analysis_stratum5 <- depth[5,4]
analysis_stratum6 <- depth[6,4]

if (is.na(analysis_stratum1)){depth[1,4]<- F; analysis_stratum1 <- F}
if (is.na(analysis_stratum2)){depth[2,4]<- F; analysis_stratum2 <- F}
if (is.na(analysis_stratum3)){depth[3,4]<- F; analysis_stratum3 <- F}
if (is.na(analysis_stratum4)){depth[4,4]<- F; analysis_stratum4 <- F}
if (is.na(analysis_stratum5)){depth[5,4]<- F; analysis_stratum5 <- F}
if (is.na(analysis_stratum6)){depth[6,4]<- F; analysis_stratum6 <- F}

#------------------------------------------


ddd <- df2
year_range <- data.frame(year = sort(unique(df2$YEAR)))
years = sort(unique(df$YEAR))
res_table_cala2 <- data.frame(year=sort(unique(df2$YEAR)))
res_table_cala2$index_1 <- NA
res_table_cala2$index_2 <- NA
res_table_cala2$index_3 <- NA
res_table_cala2$index_4 <- NA
res_table_cala2$index_5 <- NA
res_table_cala2$index_6 <- NA

sd_strata <- data.frame(year=sort(unique(df2$YEAR)))
sd_strata$sd_1 <- NA
sd_strata$sd_2 <- NA
sd_strata$sd_3 <- NA
sd_strata$sd_4 <- NA
sd_strata$sd_5 <- NA
sd_strata$sd_6 <- NA

se_table2  <-  data.frame(year=sort(unique(df2$YEAR)))
se_table2$sum_1 <- NA
se_table2$sum_2 <- NA
se_table2$sum_3 <- NA
se_table2$sum_4 <- NA
se_table2$sum_5 <- NA
se_table2$sum_6 <- NA
se_table2$sd <- NA

stratification <- read.table(paste(wd,"/scripts/utilities/stratification scheme.csv", sep=""), sep=";", header=T)
stratification$SURF <- as.numeric(stratification$SURF)

if (analysis_stratum1 == T){area_s1 <- sum(stratification[stratification$GSA == GSA & stratification$CODE==1 & stratification$COUNTRY %in% country_analysis,5])} else {area_s1 <- 0}
if (analysis_stratum2 == T){area_s2 <- sum(stratification[stratification$GSA == GSA & stratification$CODE==2 & stratification$COUNTRY %in% country_analysis,5])} else {area_s2 <- 0}
if (analysis_stratum3 == T){area_s3 <- sum(stratification[stratification$GSA == GSA & stratification$CODE==3 & stratification$COUNTRY %in% country_analysis,5])} else {area_s3 <- 0}
if (analysis_stratum4 == T){area_s4 <- sum(stratification[stratification$GSA == GSA & stratification$CODE==4 & stratification$COUNTRY %in% country_analysis,5])} else {area_s4 <- 0}
if (analysis_stratum5 == T){area_s5 <- sum(stratification[stratification$GSA == GSA & stratification$CODE==5 & stratification$COUNTRY %in% country_analysis,5])} else {area_s5 <- 0}
if (analysis_stratum6 == T){area_s6 <- sum(stratification[stratification$GSA == GSA & stratification$CODE==6 & stratification$COUNTRY %in% country_analysis,5])} else {area_s6 <- 0}


peso_s1 <- area_s1/sum(area_s1,area_s2,area_s3,area_s4,area_s5,area_s6)
peso_s2 <- area_s2/sum(area_s1,area_s2,area_s3,area_s4,area_s5,area_s6)
peso_s3 <- area_s3/sum(area_s1,area_s2,area_s3,area_s4,area_s5,area_s6)
peso_s4 <- area_s4/sum(area_s1,area_s2,area_s3,area_s4,area_s5,area_s6)
peso_s5 <- area_s5/sum(area_s1,area_s2,area_s3,area_s4,area_s5,area_s6)
peso_s6 <- area_s6/sum(area_s1,area_s2,area_s3,area_s4,area_s5,area_s6)

i=1
for(i in 1:length(res_table_cala2[,1])) {
	
	data2 <- ddd[ddd$YEAR == res_table_cala2[i,1] , ]
	
	if (analysis_stratum1 == T) {s1 <- data2[data2$depth >= depth[1,2] & data2$depth <= depth[1,3], ]}
	if (analysis_stratum2 == T) {s2 <- data2[data2$depth > depth[2,2] & data2$depth <= depth[2,3], ]}
	if (analysis_stratum3 == T) {s3 <- data2[data2$depth > depth[3,2] & data2$depth <= depth[3,3], ]}
	if (analysis_stratum4 == T) {s4 <- data2[data2$depth > depth[4,2] & data2$depth <= depth[4,3], ]}
	if (analysis_stratum5 == T) {s5 <- data2[data2$depth > depth[5,2] & data2$depth <= depth[5,3], ]}
	if (analysis_stratum6 == T) {s6 <- data2[data2$depth > depth[6,2] & data2$depth <= depth[6,3], ]}
	
	if (tot =="n") {
		total <- "TOTAL_NUMBER"
	} else {
		total <- "TOTAL_WEIGHT"
	}
	
	if (analysis_stratum1 == T){
		s_n <- sum(s1[!is.na(s1[,total]),total])
		s_a <- sum(s1$SWEPT_AREA)
		res_table_cala2[i,2] <- s_n/s_a
		
		mean_ind <- mean(s1[!is.na(s1$x), "x" ])
		sq <- (s1[!is.na(s1$x),"x"] - mean_ind)^2
		sqA <- sq*s1$SWEPT_AREA
		sum_sqA <- sum(sqA)/(length(s1[,1])-1)
		f1 <- s_a/area_s1
		se_table2[i,2] <- (((peso_s1)^2 * sum_sqA)/ s_a)* (1-f1)
		sd_strata[i,2] <- sqrt( ((sum_sqA)/ s_a)* (1-f1))
	} else {area_s1 = 0}
	
	if (analysis_stratum2 == T){
		s_n <- sum(s2[!is.na(s2[,total]),total])
		s_a <- sum(s2$SWEPT_AREA)
		res_table_cala2[i,3] <- s_n/s_a
		
		mean_ind <- mean(s2[!is.na(s2$x), "x" ])
		sq <- (s2[!is.na(s2$x),"x"] - mean_ind)^2
		sqA <- sq*s2$SWEPT_AREA
		sum_sqA <- sum(sqA)/(length(s2[,1])-1)
		f2 <- s_a/area_s2
		se_table2[i,3] <- (((peso_s2)^2 * sum_sqA)/ s_a)* (1-f2)
		sd_strata[i,3] <- sqrt( ((sum_sqA)/ s_a)* (1-f2))
	} else {area_s2 = 0}
	
	if (analysis_stratum3 == T){
		s_n <- sum(s3[!is.na(s3[,total]),total])
		s_a <- sum(s3$SWEPT_AREA)
		res_table_cala2[i,4] <- s_n/s_a
		
		mean_ind <- mean(s3[!is.na(s3$x), "x" ])
		sq <- (s3[!is.na(s3$x),"x"] - mean_ind)^2
		sqA <- sq*s3$SWEPT_AREA
		sum_sqA <- sum(sqA)/(length(s3[,1])-1)
		f3 <- s_a/area_s3
		se_table2[i,4] <- (((peso_s3)^2 * sum_sqA)/ s_a)* (1-f3)
		sd_strata[i,4] <- sqrt( ((sum_sqA)/ s_a)* (1-f3))
	} else {area_s3 = 0}
	
	if (analysis_stratum4 == T){
		s_n <- sum(s4[!is.na(s4[,total]),total])
		s_a <- sum(s4$SWEPT_AREA)
		res_table_cala2[i,5] <- s_n/s_a
		
		mean_ind <- mean(s4[!is.na(s4$x), "x" ])
		sq <- (s4[!is.na(s4$x),"x"] - mean_ind)^2
		sqA <- sq*s4$SWEPT_AREA
		sum_sqA <- sum(sqA)/(length(s4[,1])-1)
		f4 <- s_a/area_s4
		se_table2[i,5] <- (((peso_s4)^2 * sum_sqA)/ s_a)* (1-f4)
		sd_strata[i,5] <- sqrt( ((sum_sqA)/ s_a)* (1-f4))
	} else {area_s4 = 0}
	
	if (analysis_stratum5 == T){
		#index computation
		s_n <- sum(s5[!is.na(s5[,total]),total])
		s_a <- sum(s5$SWEPT_AREA)
		res_table_cala2[i,6] <- s_n/s_a
		
		#se computation
		mean_ind <- mean(s5[!is.na(s5$x), "x" ])
		sq <- (s5[!is.na(s5$x),"x"] - mean_ind)^2
		sqA <- sq*s5$SWEPT_AREA
		sum_sqA <- sum(sqA)/(length(s5[,1])-1)
		f5 <- s_a/area_s5
		se_table2[i,6] <- (((peso_s5)^2 * sum_sqA)/ s_a)* (1-f5)
		sd_strata[i,6] <- sqrt( ((sum_sqA)/ s_a)* (1-f5))
	} else {area_s5 = 0}
	
	if (analysis_stratum6 == T){
		#index computation
		s_n <- sum(s6[!is.na(s6[,total]),total])
		s_a <- sum(s6$SWEPT_AREA)
		res_table_cala2[i,7] <- s_n/s_a
		
		#se computation
		mean_ind <- mean(s6[!is.na(s6$x), "x" ])
		sq <- (s6[!is.na(s6$x),"x"] - mean_ind)^2
		sqA <- sq*s6$SWEPT_AREA
		sum_sqA <- sum(sqA)/(length(s6[,1])-1)
		f6 <- s_a/area_s6
		se_table2[i,7] <- (((peso_s6)^2 * sum_sqA)/ s_a)* (1-f6)
		sd_strata[i,7] <- sqrt( ((sum_sqA)/ s_a)* (1-f6))
	} else {area_s6 = 0}
	
	
	# positive_hauls[i] <- length(merge_TATL[merge_TATL$TOTAL_NUMBER_IN_THE_HAUL>0 & merge_TATL$YEAR == res_table_cala2[i,1],"TOTAL_NUMBER_IN_THE_HAUL"])
	# total_hauls[i] <- length(merge_TATL[merge_TATL$YEAR == res_table_cala2[i,1],"HAUL_NUMBER"])
	
	sum_res_est <- c(res_table_cala2[i,2]*peso_s1,res_table_cala2[i,3]*peso_s2,res_table_cala2[i,4]*peso_s3,res_table_cala2[i,5]*peso_s4,res_table_cala2[i,6]*peso_s5,res_table_cala2[i,7]*peso_s6)
	res_table_cala2[i, 8]<- sum(sum_res_est[!is.na(sum_res_est)])# /sum(area_s1,area_s2,area_s3,area_s4,area_s5)
	colnames(res_table_cala2) <- c("year", "stratum 1","stratum 2", "stratum 3", "stratum 4", "stratum 5", "stratum 6", "Indices")
	se_table2[i, "sd"] <- sqrt(rowSums(se_table2[i, 2:7], na.rm = T))
}

timeseries <- data.frame(year = res_table_cala2[,1], abundance = res_table_cala2[,8], sd= se_table2[, "sd"])
timeseries$CV <- timeseries[,3] / timeseries[,2]
timeseries$invCV <- 1/timeseries$CV
# timeseries$positive_hauls_perc <- positive_hauls / total_hauls * 100
colnames(res_table_cala2) <- c("year", "stratum 1","stratum 2", "stratum 3", "stratum 4", "stratum 5", "stratum 6", "Indices")

{
	cols.strata <- (depth[!is.na(depth$strata), 'strata'] + 1)
	n.col.strata <- length(cols.strata)
	cv_strata <- sd_strata
	col=5
	for (col in cols.strata) {
		row=1
		for (row in 1:length(year_range[,1])) {
			if (!is.na(sd_strata[row,col])) {
				if (res_table_cala2[row,col]!=0){
					cv_strata[row,col] <- cv_strata[row,col]/res_table_cala2[row,col]
				} else {
					cv_strata[row,col] <- 0
				}
			}
		}
	}
	
	TAB_SD_CV <- cbind(sd_strata[, c(1,cols.strata)],cv_strata[,c(cols.strata)])
	colnames(TAB_SD_CV) <- c("year", paste("SD", depth[!is.na(depth$strata), 'strata'],sep="_"), paste("CV", depth[!is.na(depth$strata), 'strata'],sep="_"))
	tab.strata.abu <- data.frame(year=res_table_cala2[,"year"], res_table_cala2[, cols.strata], TAB_SD_CV[,-1])
	colnames(tab.strata.abu) <- c("year", paste(vars[vars$vars==var,"type"], depth[!is.na(depth$strata), 'strata'],sep="_"), paste("SD", depth[!is.na(depth$strata), 'strata'],sep="_"), paste("CV", depth[!is.na(depth$strata), 'strata'],sep="_"))
	
	title.abu.haul <- paste(code,"_GSA",GSA,"_(",vars[vars$vars==var,"type"],"_by_stratum)-RSS_",depth_range[1],"-",depth_range[2], " m", sep="")
	write.table(tab.strata.abu, paste(wd,dir,title.abu.haul,".csv", sep=""), sep=";", row.names = F)
	
	sel.strata1 <- c(1,depth[(depth$bul), "strata"] + 1)
	sel.strata2 <- c(1, depth[(depth$bul), "strata"] + 1 + length(cols.strata))
	tab.ind <- tab.strata.abu[, sel.strata1]
	tab.sd <- sd_strata[, sel.strata1]
	df.plot1 <- melt(tab.ind, id.vars = 1)
	df.plot2 <- melt(tab.sd, id.vars = 1)
	var1 <-  as.data.frame(do.call(rbind, str_split(as.character(df.plot1$variable),"_"))); colnames(var1) <- c("var", "strata")
	var2 <-  as.data.frame(do.call(rbind, str_split(as.character(df.plot2$variable),"_"))); colnames(var2) <- c("var", "strata")
	df.plot1 <- cbind(df.plot1,var1)
	df.plot2 <- cbind(df.plot2,var2)
	df.plot1 <- data.frame(df.plot1, sd=df.plot2$value)
	main <- paste(code,"_GSA",GSA,"_(",vars[vars$vars==var,"type"],"_by_stratum)-RSS_",depth_range[1],"-",depth_range[2], " m", sep="")
	main.lab <- paste(code," GSA",GSA," (",vars[vars$vars==var,"type"]," by stratum)-RSS ",depth_range[1],"-",depth_range[2], " m", sep="")
	
	if (length(years)>1){
		ggplot(data=df.plot1, aes(x=year, y=value, group=strata, colour=strata)) +
			geom_line() +
			geom_point() +
			xlab("year") +
			ylab(dep_text) +
			ggtitle(main.lab) +
			theme_bw()
		ggsave(paste(wd,dir,main,"_Timeseries.jpeg",sep=""), dpi=300 , width=6, height=5) #
	} else {
		ggplot(data=df.plot1, aes(x=year, y=value, group=strata, colour=strata)) +
			geom_point() +
			xlab("year") +
			ylab(dep_text) +
			ggtitle(main.lab) +
			theme_bw()
		ggsave(paste(wd,dir,main,"_Timeseries.jpeg",sep=""), dpi=300 , width=6, height=5)
	}
	
}


# plot timeseries of mean indices
main <- paste(code,"_GSA",GSA,"_(",vars[vars$vars==var,"type"],")-Random_Stratified_Sampling_",depth_range[1],"-",depth_range[2], " m", sep="")
main.lab <- paste(code," GSA",GSA," (",vars[vars$vars==var,"type"],")-RSS ",depth_range[1],"-",depth_range[2], " m", sep="")
max_index <- max(timeseries[,2]) + (max(timeseries[!is.na(timeseries$sd),"sd"])*1.2)
write.table(timeseries, paste(wd,dir,main,"_Timeseries.csv", sep=""), sep=";", row.names = F)


jpeg(paste(wd,dir,main,"_Timeseries.jpeg",sep=""), res = 300, width = 8, height = 7, units = 'in', pointsize = 1/300)
par(mfrow=c(1,1),oma=c(1,1,1,1), mgp=c(2, 1,0))
plot(timeseries[,1],  timeseries[,2], type="b", col="black", pch=16, xlab="year", ylim=c(0,max_index*1.2), ylab=dep_text, main=main.lab) # ylim=c(0,max_index*1.2)
lines(timeseries[,1], (timeseries[,2]-1.96*timeseries[,3]), type="l",lty=2, col="red" )
lines(timeseries[,1], (timeseries[,2]+1.96*timeseries[,3]), type="l",lty=2, col="red" )
legend("topright", c("time series", "CI"), lty=c(1,1), pch=c(16, NA), col=c("black","red"))
dev.off()

# plot timeseries of inverse of CV
main <- paste(code,"_GSA",GSA,"_(inverseCV of abundance)-Random_Stratified_Sampling_",depth_range[1],"-",depth_range[2], " m", sep="")
main.lab <- paste(code," GSA",GSA," (1/CV of mean abundance)-RSS ",depth_range[1],"-",depth_range[2], " m", sep="")
max_index <- max(timeseries[!is.na(timeseries$invCV) & timeseries$invCV != Inf,"invCV"])


jpeg(paste(wd,dir,main,"_Timeseries.jpeg",sep=""), res = 300, width = 8, height = 7, units = 'in', pointsize = 1/300)
par(mfrow=c(1,1),oma=c(1,1,1,1), mgp=c(2, 1,0))
plot(timeseries[,1],  timeseries[,5], type="b", col="black", pch=16, xlab="year", ylim=c(0,max_index*1.2), ylab="1/CV", main=main.lab) # ylim=c(0,max_index*1.2)
legend("topright", c("inverse CV"), lty=c(1), pch=c(16), col=c("black"))
dev.off()
# # plot number of positive hauls per year
#     main <- paste(sspp,"_GSA",GSA,"_(positive hauls)-Random_Stratified_Sampling_",depth_range[1],"-",depth_range[2], " m", sep="")
#     main.lab <- paste(sspp," GSA",GSA," (positive hauls %)-RSS ",depth_range[1],"-",depth_range[2], " m", sep="")
#     max_index <- max(timeseries[!is.na(timeseries$positive_hauls_perc),"positive_hauls_perc"])
# 
#     tiff(paste(wd,"/output/",main,"_Timeseries.tiff",sep=""), res = 300, width = 8, height = 7, units = 'in', compression = 'lzw', pointsize = 1/300)
#     par(mfrow=c(1,1),oma=c(1,1,1,1), mgp=c(2, 1,0))
#     plot(timeseries[,1],  timeseries[,6], type="b", col="black", pch=16, xlab="year", ylim=c(0,max_index*1.2), ylab="number of hauls (%)", main=main.lab) # ylim=c(0,max_index*1.2)
#     legend("topright", c("number of positive hauls %"), lty=c(1), pch=c(16), col=c("black"))
#     dev.off()

cat(paste0("\n Estimation of ",vars[vars$vars==var,"type"]," indices completed \n"))




}










